import { createStore, applyMiddleware, Store } from "redux";
import { persistStore } from "redux-persist";

import createSagaMiddleware from "redux-saga";
import rootReducer from "./common/reducers/root";
import rootSaga from "./common/saga/root";

const sagaMiddleware = createSagaMiddleware();

const store: Store = createStore(
  rootReducer,
  {},
  applyMiddleware(sagaMiddleware)
);

sagaMiddleware.run(rootSaga);

const persistor = persistStore(store);

export { store, persistor };
